{{include file=head.tpl}}
	<div class="wap_article">
		<h1>{{$data[title]}}</h1>
		<div class="wap_article_time">
			<span>添加时间:</span>{{$data[posttime]}}
		</div>
		<div class="wap_article_content">
			<div class="wap_text">
			{{$data[content]}}
			</div>
		</div>
		{{$module_more}}
	</div>
	<div class="page">{{$Get_Page}}</div>
	<if condition="DEVICE !='pc'">
		<script src="http://res.wx.qq.com/open/js/jweixin-1.4.0.js"></script>
		<script>
			wx.config({
				debug: false, // 开启调试模式,调用的所有api的返回值会在客户端alert出来，若要查看传入的参数，可以在pc端打开，参数信息会通过log打出，仅在pc端时才会打印。
				appId:'{{$wechat_share['appid']}}', // 必填，公众号的唯一标识
				timestamp: '{{$wechat_share['timestamp']}}', // 必填，生成签名的时间戳
				nonceStr: '{{$wechat_share['nonceStr']}}', // 必填，生成签名的随机串
				signature: '{{$wechat_share['signature']}}',// 必填，签名
				jsApiList: [
							'checkJsApi',
							'updateAppMessageShareData',
							'updateTimelineShareData',
						  ] // 必填，需要使用的JS接口列表
			});
			wx.error(function (res) {
				alert(res.errMsg);
			});
			
			
			wx.ready(function () { 
				
				//“分享给朋友”及“分享到QQ”
				wx.updateAppMessageShareData({ 
					title: '{{$data[title]}}', // 分享标题
					desc: '{{$data[description]}}', // 分享描述
					link: '{{U([aid=>$data[aid],cid=>$data[cid]])}}', // 分享链接，该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
					imgUrl: '{{$data[thumb]}}', // 分享图标
					trigger: function (res) {//监听Menu中的按钮点击时触发的方法，该方法仅支持Menu中的相关接口
						// 不要尝试在trigger中使用ajax异步请求修改本次分享的内容，因为客户端分享操作是一个同步操作，这时候使用ajax的回包会还没有返回
						alert('请分享到朋友圈去，分享到微信好友无效！');
					},
					success: function (res) {//接口调用成功时执行的回调函数
						layer.msg('成功分享到好友');
					},
					cancel: function (res) {//用户点击取消时的回调函数，仅部分有用户取消操作的api才会用到
						alert('你已取消操作');
					},
					fail: function (res) {//接口调用失败时执行的回调函数
						alert(JSON.stringify(res));
					}
				});
				//“分享到朋友圈”及“分享到QQ空间”
				wx.updateTimelineShareData({ 
					title: '{{$data[title]}}', // 分享标题
					link: '{{U([aid=>$data[aid],cid=>$data[cid]])}}', // 分享链接，该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
					imgUrl: '{{$data[thumb]}}', // 分享图标
					trigger: function (res) {//监听Menu中的按钮点击时触发的方法，该方法仅支持Menu中的相关接口
						// 不要尝试在trigger中使用ajax异步请求修改本次分享的内容，因为客户端分享操作是一个同步操作，这时候使用ajax的回包会还没有返回
						alert('请分享分享给朋友');
					},
					success: function (res) {//接口调用成功时执行的回调函数
						layer.msg('成功分享到好友');
					},
					cancel: function (res) {//用户点击取消时的回调函数，仅部分有用户取消操作的api才会用到
						alert('你已取消操作');
					},
					fail: function (res) {//接口调用失败时执行的回调函数
						alert(JSON.stringify(res));
					}
				});
				
			});
		</script>
	<else>
	<div class="share">
		<div class="bdsharebuttonbox">
			<a class="bds_count" data-cmd="count"></a>
			<a href="#" class="bds_weixin" data-cmd="weixin" title="分享到微信">微信</a>
			<a href="#" class="bds_qzone" data-cmd="qzone" title="分享到QQ空间">QQ空间</a>
			<a href="#" class="bds_tsina" data-cmd="tsina" title="分享到新浪微博">新浪微博</a>
			<a href="#" class="bds_tqq" data-cmd="tqq" title="分享到腾讯微博">腾讯微博</a>
			<a href="#" class="bds_renren" data-cmd="renren" title="分享到人人网">人人网</a>
			<a href="#" class="bds_sqq" data-cmd="sqq" title="分享到QQ好友">QQ好友</a>
		</div>
		<script>
			window._bd_share_config = {
				"common": {
					"bdSnsKey": {},
					"bdText": "{{$data[title]}}",
					"bdDesc" : "{{$data[description]}}",
					"bdMini": "2",
					"bdMiniList": false,
					"bdPic": "{{$data[thumb]}}",
					"bdStyle": "1",
					"bdSize": "16"
				},
				"share": {
					"bdSize": 16
				},
				"image": {
					"viewList": ["qzone", "tsina", "tqq", "renren", "sqq", "weixin"],
					"viewText": "分享到：",
					"viewSize": "24"
				},
				"selectShare": {
					"bdContainerClass": null,
					"bdSelectMiniList": ["qzone", "tsina", "tqq", "renren", "sqq", "weixin"]
				}
			};
			with(document) 0[(getElementsByTagName('head')[0] || body).appendChild(createElement('script')).src = 'http://bdimg.share.baidu.com/static/api/js/share.js?v=89860593.js?cdnversion=' + ~(-new Date() / 36e5)];
		</script>
	</div>
	</if>
	<div id="comment_list">
		<div class="comment_list">
			<div id="null"></div>
		</div>
		<div id="comment_page"></div>
	</div>
	<div class="comment">
		<div class="comment_list_sort">
			<div class="sort">
				<span>我来说两句</span>
			</div>
		</div>
		<div class="comment_list_sort_add">
			<form class="layui-form" action="">
				<div class="layui-form-item layui-form-text">
					<label class="layui-form-label">评论内容</label>
					<div class="layui-input-block">
						<textarea id="comment_content" name="content" placeholder="请输入内容" class="layui-textarea" lay-verify="required|content"></textarea>
					</div>
				</div>

				<if condition="!C(MODULE.'|SETTING.add_comment_yzm')">
				<div class="layui-form-item layui-form-text" id="comment_yzm">
					<label class="layui-form-label">验证码</label>
					<div class="layui-input-block">
						<input name="yz_code" placeholder="验证码" class="layui-input" id="yz_code" type="text">
						<img src="{{WEBURL}}/Verification_Code{{C('HTML')}}" alt="点击图片更换验证码" title="点击图片更换验证码" class="yzimg"  onclick="this.src='{{WEBURL}}/Verification_Code/index/index/'+Math.random();"/>
					</div>
				</div>
				</if>
				<div class="layui-form-item commentbutton">
					<input type="hidden" name="aid" value="{{$data[aid]}}" />
					<button class="layui-btn" lay-submit="" lay-filter="button">提交</button>
				</div>
			</form>
		</div>
	</div>
	<div class="comment_Reply">
		<form class="layui-form" action="">
			<div class="layui-form-item">
				<label class="layui-form-label">回复内容</label>
				<div class="layui-input-block">
					<textarea id="comment_Reply_content" name="content" placeholder="请输入内容" class="layui-textarea" lay-verify="required|content"></textarea>
				</div>
			</div>
			<div class="layui-form-item" id="commentReply_yzm"></div>
			<div class="layui-form-item">
				<div class="layui-input-block ">
					<input type="hidden" name="aid" value="{{$data[aid]}}" />
					<button class="layui-btn" lay-submit="" lay-filter="comment_Reply_button">回复</button>
				</div>
			</div>
			<div id="reply_id"></div>
		</form>
	</div>
	<script>
		var allnum=Number({{$data[comment_num]}});
		var login="";
		var comment_add=true;
		var page=1;
		var commentReply="";
		layui.use(['form', 'layedit','layer','laypage'], function() {
			var form = layui.form,
				layer = layui.layer,
				laypage = layui.laypage,
				layedit = layui.layedit;
			//自定义验证规则
			form.verify({
				content: function(value) {
					if(value.length < 5) {
						return '评论内容至少得5个字符';
					}
				}
			});
			//监听评论提交
			form.on('submit(button)', function(data) {
				$.ajax({
					url:"{{M_WEBURL}}/comment/post",
				    type: 'POST',
				    data:data.field,
				    dataType: 'json',
				    success: function(data){
				    	if(data.code=='19'){
				    		login=layer.open({
							    type: 2 //此处以iframe举例
							    ,title: '登录提醒'
							    ,area: '100%'
							    ,shadeClose:true
							    ,shade: [0.8, '#393D49']
							    ,content: '{{WEBURL}}/login/index/small_login/tpl/login'
							});
				    		return false;
				    	}else if(data.code=='501' || data.code=='502' || data.code=='503'){
				    		layer.msg(data.text, {
							    time: 20000, //20s后自动关闭
							    btn: ['确定']
							    ,shadeClose:true
						        ,shade: [0.8, '#393D49']
							});
				    		return false;
				    	}else if(data.code=='9'){
				    		$(".comment_Reply .yzimg").click();
				    		layer.msg(data.text, {
							    time: 20000, //20s后自动关闭
							    btn: ['确定']
							    ,shadeClose:true
						        ,shade: [0.8, '#393D49']
							});
				    		return false;
				    	}else{
				    		$('#null').html('');
					    	allnum=allnum+1;
					    	$(".comment_list_sort_add .yzimg").click(); 
					    	$('#comment_content').val('');
					    	$('#yz_code').val('');
					    	$('#yz_code').focusout();
					    	comment_add=false;
					    	template(data.id,data.reply_id,data.text.username,data.text.content,data.text.username,data.text.posttime,'1');
				    	}
				    	
				    }
				});
				return false;
			});
			function get_comment_list(page){
				comment_add=true;
				$.ajax({
						url:"{{M_WEBURL}}/comment/alllist/aid/{{$data[aid]}}/page/"+page+"/step/json{{C('HTML')}}",
					    type: 'POST',
					    dataType: 'json',
					    success: function(data){
					    	if(data){
					    		$('.comment_list').empty();
						    	for(var i=0; i<data.length;i++){
						    		template(data[i].id,data[i].reply_id,data[i].username,data[i].content,data[i].username,data[i].posttime,data[i].quanxian);
						    		if(data[i].list){
						    			FOR_comment_list(data[i].list);
						    		}
						    	}
					    	}else{
					    		$('#null').html('<div class="none">暂无评论....</div>');
					    	}
					    	
					    }
				})
			}
			
			function FOR_comment_list(data){
				
				for(var i=0; i<data.length;i++){
					template(data[i].id,data[i].reply_id,data[i].username,data[i].content,data[i].username,data[i].posttime,data[i].quanxian);
					if(data[i].list){
						FOR_comment_list(data[i].list);
					}
				}
			}
			
			function template(a,b,c,d,e,f,g){
				var quanxian="";
				if(g =='1' || g =='2'){
					quanxian='<a href="javascript:void(0)" onclick="javascript:comment_del('+a+')">删除</a>';
				}
				var htm='<fieldset class="layui-elem-field" id="comment_list_'+a+'">'+
							'<legend>'+c+'</legend>'+
							'<div class="layui-field-box">'+
								d+
							'</div>'+
							'<div class="comment_list_action">'+
								'<span>发布人：'+e+'</span>'+
								'<span>时间：'+f+'</span>'+
								'<a href="javascript:void(0)" onclick="javascript:comment_Reply('+a+')">回复</a>'+
								quanxian+
							'</div>'+
							'<div id="new_Reply_'+a+'"></div>'+
						'</fieldset>'; 
				if(comment_add==true){
					if(b){
						if($('#comment_list_'+b).length>0){
				    		$("#comment_list_"+b).append(htm);
				    	}else{
				    		$(".comment_list").append(htm);
				    	}
					}else{
						$(".comment_list").append(htm);
					}
					
				}else{
					if(b){
						if($('#new_Reply_'+b).length>0){
				    		$("#new_Reply_"+b).append(htm);
				    	}else{
				    		$(".comment_list").prepend(htm);
				    	}
					}else{
						$(".comment_list").prepend(htm);
					}
				}
			}
			laypage.render({
				elem: 'comment_page'
				,count: allnum 
				,jump: function(obj, first){
					get_comment_list(obj.curr);
				},
				layout:['prev', 'page', 'next'],
			});
			//监听评论提交
			form.on('submit(comment_Reply_button)', function(data) {
				$.ajax({
					url:"{{M_WEBURL}}/comment/post",
				    type: 'POST',
				    data:data.field,
				    dataType: 'json',
				    success: function(data){
				    	if(data.code=='19'){
				    		login=layer.open({
							    type: 2 //此处以iframe举例
							    ,title: '登录提醒'
							    ,area: ['390px', '260px']
							    ,shadeClose:true
							    ,shade: [0.8, '#393D49']
							    ,content: '{{WEBURL}}/login/index/small_login/tpl/login'
							});
				    		return false;
				    	}else if(data.code=='501' || data.code=='502' || data.code=='503'){
				    		layer.msg(data.text, {
							    time: 20000, //20s后自动关闭
							    btn: ['确定']
							    ,shadeClose:true
						        ,shade: [0.8, '#393D49']
							});
				    		return false;
				    	}else if(data.code=='9'){
				    		$(".comment_Reply .yzimg").click();
				    		layer.msg(data.text, {
							    time: 20000, //20s后自动关闭
							    btn: ['确定']
							    ,shadeClose:true
						        ,shade: [0.8, '#393D49']
							});
				    		return false;
				    	}else{
					    	layer.close(commentReply);
					    	comment_add=false;
					    	$('#comment_Reply_content').val('');
							$('#commentReply_yzm').html('');
					    	$(".comment_list_sort_add .yzimg").click();
					    	$('#yz_code').val('');
					    	template(data.id,data.reply_id,data.text.username,data.text.content,data.text.username,data.text.posttime,'1');
						}
				    }
				});
				return false;
			});
		});
		function comment_del(id){
				$.ajax({
					url:"{{M_WEBURL}}/comment/del",
					type: 'POST',
					data:{'aid':"{{$data[aid]}}",'id':id},
					dataType: 'json',
					success: function(data){
					    if(data.code=='504' || data.code=='505'){
					    	layer.msg(data.text, {
							    time: 20000, //20s后自动关闭
							    btn: ['确定']
							    ,shadeClose:true
						        ,shade: [0.8, '#393D49']
							});
					    }else if(data.code==0){
					    	allnum=allnum-1;
					    	$('#comment_list_'+id).remove();
					    }else{
					    	alert('异常错误');
					    }
					}
				})
		}
		function comment_Reply(id) {
			 	$('#reply_id').html("<input type='hidden' name='reply_id' value='"+id+"' />'"); 	
				if($('#comment_yzm').length>0){
				    $('#commentReply_yzm').html($('#comment_yzm').html()); 	
				}
				commentReply=layer.open({
					type: 1
					,title: '评论回复'
					,area: '95%'
					,shadeClose:false
					,shade: [0.8, '#393D49']
					,content: $('.comment_Reply')
					,cancel: function(index, layero){
						$('#comment_Reply_content').val('');
						$('#commentReply_yzm').html('');
						$(".comment_list_sort_add .yzimg").click();
					    layer.close(index);
					  	return false; 
					}
				});
		}
	</script>
{{include file=foot.tpl}}